Loading...
Searching...
No Matches
cnanovdb_griddata Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes

uint64_t | mMagic
uint64_t | mChecksum
uint32_t | mVersion
uint32_t | mFlags
uint32_t | mGridIndex
uint32_t | mGridCount
uint64_t | mGridSize
char | mGridName [256]
cnanovdb_map | mMap
double | mBBox [6]
double | mVoxelSize [3]
uint32_t | mGridClass
uint32_t | mGridType
uint64_t | mBlindMetadataOffset
int32_t | mBlindMetadataCount
uint32_t | _reserved [(-(8+8+4+4+4+4+8+256+24+24+sizeof(cnanovdb_map)+24+4+4+8+4) &((32) -1))/4]

## Member Data Documentation

## _reserved

uint32_t _reserved[(-(8+8+4+4+4+4+8+256+24+24+sizeof(cnanovdb_map)+24+4+4+8+4) &(( 32) -1))/4]

## mBBox

double mBBox[6]

## mBlindMetadataCount

int32_t mBlindMetadataCount

## mBlindMetadataOffset

uint64_t mBlindMetadataOffset

## mChecksum

uint64_t mChecksum

## mFlags

uint32_t mFlags

## mGridClass

uint32_t mGridClass

## mGridCount

uint32_t mGridCount

## mGridIndex

uint32_t mGridIndex

## mGridName

char mGridName[256]

## mGridSize

uint64_t mGridSize

## mGridType

uint32_t mGridType

## mMagic

uint64_t mMagic

## mMap

cnanovdb_map mMap

## mVersion

uint32_t mVersion

## mVoxelSize

double mVoxelSize[3]